io.milvus.param.highlevel.dml

## Class InsertRowsParam.Builder

- java.lang.Object
- - io.milvus.param.highlevel.dml.InsertRowsParam.Builder

Enclosing class:
  InsertRowsParam

    public static class InsertRowsParam.Builder
    extends java.lang.Object

Builder for `InsertRowsParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`InsertRowsParam` `build()` Verifies parameters and creates a new `InsertRowsParam` instance.
`InsertRowsParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`InsertRowsParam.Builder` `withRows(@NonNull java.util.List<com.google.gson.JsonObject> rows)` Sets the row data to insert.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionName

    public InsertRowsParam.Builder withCollectionName(@NonNull
                                                      @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withRows

    public InsertRowsParam.Builder withRows(@NonNull
                                            @NonNull java.util.List<com.google.gson.JsonObject> rows)

Sets the row data to insert. The rows list cannot be empty. Internal class for insert data. If dataType is Bool/Int8/Int16/Int32/Int64/Float/Double/Varchar, use JsonObject.addProperty(key, value) to input; If dataType is FloatVector, use JsonObject.add(key, gson.toJsonTree(List[Float])) to input; If dataType is BinaryVector/Float16Vector/BFloat16Vector, use JsonObject.add(key, gson.toJsonTree(byte[])) to input; If dataType is SparseFloatVector, use JsonObject.add(key, gson.toJsonTree(SortedMap[Long, Float])) to input; If dataType is Array, use JsonObject.add(key, gson.toJsonTree(List of Boolean/Integer/Short/Long/Float/Double/String)) to input; If dataType is JSON, use JsonObject.add(key, JsonElement) to input; Note: 1. For scalar numeric values, value will be cut according to the type of the field. For example: An Int8 field named "XX", you set the value to be 128 by JsonObject.add("XX", 128), the value 128 is cut to -128. An Int64 field named "XX", you set the value to be 3.9 by JsonObject.add("XX", 3.9), the value 3.9 is cut to 3. 2. String value can be parsed to numeric/boolean type if the value is valid. For example: A Bool field named "XX", you set the value to be "TRUE" by JsonObject.add("XX", "TRUE"), the string "TRUE" is parsed as true. A Float field named "XX", you set the value to be "3.5" by JsonObject.add("XX", "3.5", the string "3.5" is parsed as 3.5.

Parameters:
  `rows` - insert row data
Returns:
  `Builder`
See Also:
  `JsonObject`

#### build

    public InsertRowsParam build()
                          throws ParamException

Verifies parameters and creates a new `InsertRowsParam` instance.

Returns:
  `InsertRowsParam`
Throws:
  `ParamException`